Subject: bug#44804: 28.0.50; loading EBDB using use-package is throwing error

From: Eric Abrahamsen <[email-masked]>
Date: Fri, 28 Jan 2022 08:21:06 -0800

On 01/28/22 16:08 PM, Lars Ingebrigtsen wrote:
> Eric Abrahamsen <[email-masked]> writes:
>
>>> Debugger entered--Lisp error: (file-missing "Cannot open load file"
>>> "No such file or directory" "edbd-gnus")
>>>   require(edbd-gnus)
>>
>> This is just a typo for "ebdb".
>>
>> None of these errors look like actual EBDB errors, just confusions about
>> how the use-package macro works. I can't really help with these.
>
> (I'm going through old bug reports that unfortunately weren't resolved
> at the time.)
>
> Skimming this bug report, it's not clear to me whether there's any
> problems here in ebdb, or whether this is a usage error.
>
> Is there anything to be done on the Emacs side here?

Beats me! If there's something easy I can do on the EBDB side to make it
work better with use-package, I'd be happy to do that, but I don't
currently know how.